Bug 237018 - a list of packages with broken URLs in their description
a list of packages with broken URLs in their description
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: Tracking
Depends On: 77314 235072 236868 237363 237364 237607 237608 237611 237712 237715 237717 237721 237723 237724 237726 237728 240320 240322 240592 240645 240646 240647 242407 244337 244742 245101 245106 245175 245270 245276 245281 245283 245375 245383 245387 245388 248086 251059 251095 251097 251098 251099 251277 251278 251279 251280 251281 251283 251284 251285 353531 353541 359461 427645 427752 430814 447832
Blocks: F12Target
  Show dependency treegraph
 
Reported: 2007-04-18 17:41 EDT by petrosyan
Modified: 2014-03-16 23:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-20 11:37:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Comment 1 Jesse Keating 2007-04-20 12:45:36 EDT
Bugs should be filed against the packages themselves.  You can block this bug
with those individual bugs for tracking purposes, but it's for the individual
package maintainers to fix these issues, and such fixes may not make it into
Fedora 7 as we're past the freeze.
Comment 3 petrosyan 2007-05-16 12:40:38 EDT
Updated list of broken URLs in Fedora package descriptions:

abuse http://www.labyrinth.net.au/~trandor/abuse/
cal3d http://gna.org/projects/cal3d
coldet http://photoneffect.com/coldet/
cook http://www.canb.auug.org.au/~millerp/cook/
dvgrab http://kino.schirmacher.de/
enca http://trific.ath.cx/software/enca/
fontypython https://savannah.nongnu.org/projects/fontypython/
fRaBs http://www.cs.uidaho.edu/~cass0664/fRaBs/
gcfilms https://gna.org/projects/gcfilms/
ghex http://www.gnome.org/softwaremap/projects/ghex
gnome-ppp http://www.icmreza.co.yu/blogs/vladecks/?page_id=7
gnu-regexp-demo http://www.cacas.org/java/gnu/regexp/
gnu-regexp-javadoc http://www.cacas.org/java/gnu/regexp/
gstreamer-plugins-farsight http://projects.collabora.co.uk/trac/farsight
gtk-sharp-gapi http://go-mono.com/sources-latest
gtksourceview-sharp-devel http://go-mono.com/sources-latest/gtksourceview-sharp-2.0/
Hermes http://clanlib.org/hermes/
jabberd http://jabberd.jabberstudio.org/2/
kanatest http://clay.ll.pl/kanatest.html
libjingle http://code.google.com/apis/talk/about.html
libosip-devel http://www.fsf.org/software/osip/osip.html
libsidplay http://www.geocities.com/SiliconValley/Lakes/5147/
libtunepimp http://www.musicbrainz.org/products/tunepimp/
man-pages-da http://www.sslug.dk/locale/man-sider/
metapixel http://www.complang.tuwien.ac.at/~schani/metapixel/
monkey-bubble http://monkey-bubble.tuxfamily.org/
mono-debugger http://www.go-mono.com/sources/mono-debugger
ninja http://ninja.qoop.org/
openpbx-bluetooth http://www.openpbx.org/
openpbx-javascript http://www.openpbx.org/
openpbx-postgresql http://www.openpbx.org/
ortp http://www.linphone.org/index.php/v2/code_review/ortp
osgcal-devel http://gna.org/projects/underware
osgcal http://gna.org/projects/underware
pam_abl http://www.hexten.net/sw/pam_abl/
pygoocanvas https://developer.berlios.de/projects/pygoocanvas/
python-amara http://uche.ogbuji.net/uche.ogbuji.net/tech/4Suite/amara/
python-fpconst http://research.warnes.net/projects/RStatServer/fpconst
python-HTMLgen http://starship.python.net/lib.html
python-ruledispatch http://www.turbogears.org/preview/download
python-TestGears http://www.turbogears.org/testgears/
python-tgfastdata http://www.turbogears.org/docs/plugins/template.html
python-tunepimp http://www.musicbrainz.org/products/tunepimp/
python-turbocheetah http://www.turbogears.org/docs/plugins/template.html
python-turbojson http://www.turbogears.org/docs/plugins/template.html
python-turbokid http://www.turbogears.org/docs/plugins/template.html
rhm http://rhm.et.redhat.com/rhm
scrip http://climate.lanl.gov/Software/SCRIP/index.htm
system-config-bind http://people.redhat.com/~jvdias/system-config-bind
system-config-keyboard http://fedora.redhat.com/projects/config-tools
system-config-language http://fedora.redhat.com/projects/config-tools/
system-config-network
http://fedora.redhat.com/projects/config-tools/redhat-config-network.html
system-config-network-tui
http://fedora.redhat.com/projects/config-tools/redhat-config-network.html
system-config-nfs http://fedora.redhat.com/projects/config-tools/
system-config-securitylevel http://fedora.redhat.com/projects/config-tools/
system-config-securitylevel-tui http://fedora.redhat.com/projects/config-tools/
system-config-soundcard
http://fedora.redhat.com/projects/config-tools/redhat-config-soundcard.html
ulogd http://gnumonks.org/projects/ulogd
ulogd-mysql http://gnumonks.org/projects/ulogd
ulogd-pgsql http://gnumonks.org/projects/ulogd
vdr-wapd http://vdr.heiligenmann.de/vdr/plugins/wapd.html
xdg-user-dirs-gtk http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs
xdg-user-dirs http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs
xml-common http://www.iso.ch/cate/3524030.html
xmlrpc3-client http://xml.apache.org/xmlrpc3/
xmlrpc3-common http://xml.apache.org/xmlrpc3/
xmlrpc3-javadoc http://xml.apache.org/xmlrpc3/
xmlrpc3-server-devel http://xml.apache.org/xmlrpc3/
xmlrpc3-server http://xml.apache.org/xmlrpc3/
xmms-scrobbler http://www.last.fm/downloads.php
xmms-speex http://jzb.rapanden.dk/projects/speex-xmms
xorg-x11-drv-amd http://git.infradead.org/?p=users/jcrouse/xf86-video-amd.git
Comment 4 Thorsten Leemhuis 2007-05-20 06:09:14 EDT
Might be a good idea to integrate a URL-Check script into the script that create 
http://fedoraproject.org/wiki/PackageMaintainers/PackageStatus
Comment 5 petrosyan 2007-05-20 14:08:48 EDT
Here is a python script which prints out all package names and the corresponding
URLs for packages with broken URLs in their description:

import xml.dom.minidom
import os
for node in xml.dom.minidom.parse(os.popen("wget
http://download.fedora.redhat.com/pub/fedora/linux/core/development/i386/os/repodata/primary.xml.gz
-O - 2>/dev/null | gunzip")).getElementsByTagName("package"):
  if(node.getElementsByTagName("url")[0].childNodes.length > 0):
    t=os.popen('wget -T 100 --random-wait -nv --user-agent=\"Mozilla/5.0 (X11;
U; Linux i686; en-US; rv:1.8.0.10) Gecko/20070313 Fedora/1.5.0.10-5.fc6
Firefox/1.5.0.10\" '+node.getElementsByTagName("url")[0].firstChild.data+' -O -
2>&1 > /dev/null | grep ERROR').readlines()
    if(len(t) > 0):
      print(node.getElementsByTagName("name")[0].firstChild.data+"
"+node.getElementsByTagName("url")[0].firstChild.data)
Comment 6 petrosyan 2007-06-22 15:54:04 EDT
here is an updated list of packages with broken URLs which haven't been reported
yet.

emelfm2 http://emelfm2.net/
firewalk http://www.packetfactory.net/projects/firewalk/
fRaBs http://www.cs.uidaho.edu/~cass0664/fRaBs/
gtksourceview-sharp http://go-mono.com/sources-latest/gtksourceview-sharp-2.0/
Hermes http://clanlib.org/hermes/
imlib2 http://www.enlightenment.org/Libraries/Imlib2/
imlib http://www.enlightenment.org/Libraries/Imlib/
libnet10 http://www.packetfactory.net/libnet/
libnet-devel http://www.packetfactory.net/libnet/
libsidplay http://www.geocities.com/SiliconValley/Lakes/5147/
man-pages-da http://www.sslug.dk/locale/man-sider/
mod_mono http://go-mono.com/sources-latest/
mono-debugger http://www.go-mono.com/sources/mono-debugger
monodoc http://go-mono.com/sources/monodoc/
ninja http://ninja.qoop.org/
PyQt-qscintilla http://www.riverbankcomputing.com/pyqt/
python-4Suite-XML http://www.4suite.org/
python-amara http://uche.ogbuji.net/uche.ogbuji.net/tech/4Suite/amara/
python-Coherence https://coherence.beebits.net/
python-HTMLgen http://starship.python.net/lib.html
python-ruledispatch http://www.turbogears.org/preview/download
python-TestGears http://www.turbogears.org/testgears/
python-tgfastdata http://www.turbogears.org/docs/plugins/template.html
python-tunepimp http://www.musicbrainz.org/products/tunepimp/
python-turbocheetah http://www.turbogears.org/docs/plugins/template.html
python-turbojson http://www.turbogears.org/docs/plugins/template.html
python-turbokid http://www.turbogears.org/docs/plugins/template.html
rhm http://rhm.et.redhat.com/rhm
skkdic http://openlab.ring.gr.jp/skk/wiki/wiki.cgi
ulogd http://gnumonks.org/projects/ulogd
vdr-wapd http://vdr.heiligenmann.de/vdr/plugins/wapd.html
wdfs http://noedler.de/projeckte/wdfs/
words http://www.dcs.shef.ac.uk/research/ilash/Moby
xdg-user-dirs-gtk http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs
xdg-user-dirs http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs
xmlrpc3-common http://xml.apache.org/xmlrpc3/
xmms-scrobbler http://www.last.fm/downloads.php
xmms-speex http://jzb.rapanden.dk/projects/speex-xmms
xorg-x11-drv-amd http://git.infradead.org/?p=users/jcrouse/xf86-video-amd.git
Comment 7 petrosyan 2007-08-06 15:24:21 EDT
Here is an updated list of packages with broken URLs in their description:

audacious-docklet http://nedudu.hu/static.php?page=audacious
evolution-brutus http://www.omesc.com/modules/xoopsfaq/index.php?cat_id=6
fish http://roo.no-ip.org/fish/
fRaBs http://www.cs.uidaho.edu/~cass0664/fRaBs/
gnu-regexp http://www.cacas.org/java/gnu/regexp/
gtk-sharp http://go-mono.com/sources-latest
gtksourceview-sharp http://go-mono.com/sources-latest/gtksourceview-sharp-2.0/
Hermes http://clanlib.org/hermes/
imlib2 http://www.enlightenment.org/Libraries/Imlib2/
imlib http://www.enlightenment.org/Libraries/Imlib/
libpqxx http://thaiopensource.org/development/libpqxx/
libsidplay http://www.geocities.com/SiliconValley/Lakes/5147/
libtunepimp http://www.musicbrainz.org/products/tunepimp/
mailgraph http://people.ee.ethz.ch/~dws/software/mailgraph
man-pages-da http://www.sslug.dk/locale/man-sider/
mod_mono http://go-mono.com/sources-latest/
mono-debugger http://www.go-mono.com/sources/mono-debugger
monodoc http://go-mono.com/sources/monodoc/
ninja http://ninja.qoop.org/
pam_abl http://www.hexten.net/sw/pam_abl/
PyQt-qscintilla http://www.riverbankcomputing.com/pyqt/
python-amara http://uche.ogbuji.net/uche.ogbuji.net/tech/4Suite/amara/
python-fpconst http://research.warnes.net/projects/RStatServer/fpconst
python-HTMLgen http://starship.python.net/lib.html
python-ruledispatch http://www.turbogears.org/preview/download
python-TestGears http://www.turbogears.org/testgears/
python-tgfastdata http://www.turbogears.org/docs/plugins/template.html
python-turbocheetah http://www.turbogears.org/docs/plugins/template.html
python-turbojson http://www.turbogears.org/docs/plugins/template.html
python-turbokid http://www.turbogears.org/docs/plugins/template.html
rhm http://rhm.et.redhat.com/rhm
R-mvtnorm http://cran.r-project.org/contrib/Descriptions/mvtnorm.html
scrip http://climate.lanl.gov/Software/SCRIP/index.htm
system-config-keyboard http://fedora.redhat.com/projects/config-tools
system-config-network
http://fedora.redhat.com/projects/config-tools/redhat-config-network.html
system-config-network-tui
http://fedora.redhat.com/projects/config-tools/redhat-config-network.html
ulogd http://gnumonks.org/projects/ulogd
vdr-wapd http://vdr.heiligenmann.de/vdr/plugins/wapd.html
wdfs http://noedler.de/projeckte/wdfs/
xdg-user-dirs-gtk http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs
xdg-user-dirs http://freedesktop.org/wiki/Software_2fxdg_2duser_2ddirs
xmlrpc3-client http://xml.apache.org/xmlrpc3/
xmms-scrobbler http://www.last.fm/downloads.php
xmms-speex http://jzb.rapanden.dk/projects/speex-xmms
xorg-x11-drv-amd http://git.infradead.org/?p=users/jcrouse/xf86-video-amd.git
Comment 8 Bug Zapper 2008-05-13 22:46:55 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bill Nottingham 2010-01-20 11:37:46 EST
All dependent bugs closed.

Note You need to log in before you can comment on or make changes to this bug.